#include "myserver.h"

MyServer::MyServer(QObject *parent) : QObject(parent)
{
    server = new QTcpServer(this);
//conectez semnalul newConnection - cand apare o conexiune noua la functia newTcpConnection
    connect(server,SIGNAL(newConnection()),this,SLOT(newTcpConnection()));

    if(!server->listen(QHostAddress::Any, 12345))//adresa si portul unde asculta serverul
    {
        qDebug()<<"Serverul nu poate porni...";
    }
    else {
        qDebug()<<"Serverul a pornit!";
    }

}

void MyServer::newTcpConnection()
{
    QTcpSocket *socket = server->nextPendingConnection();
    //int i=0;// pt debug

    QString path = QDir::currentPath();// aflu calea curenta a directorului
    QDir dir(path);// stabilesc directorul curent citit anterior
    QStringList filters = {"*.txt"};// creez o lista pentru filtrul tipurilor de fisiere
                                    // stabilesc extensia/extensiiile exp {"*.txt", "*.dat"} pentru filtru

    for (int a=0;a<2;a++) {
        //intru in directorul curent si aflu fisierele cu extensia/extensiile stabilita/stabilite prin filtru
        foreach (QFileInfo fileInfo, dir.entryInfoList(filters, QDir::Files))
        {
            QString fileName = fileInfo.absoluteFilePath();// aflu denumirea fisierului si calea
            QFile readFile(fileName);//citesc fisierul
            if(!readFile.open(QIODevice::ReadOnly | QIODevice::Text ) )
            {
                qDebug()<<"Nu pot citi fisierele....";
                return;
            }
            //QTextStream in(&fileName);
            while (!readFile.atEnd())//citesc fiecare fisier pana la sfarsit
            {
               // QString line = in.readLine();
                QByteArray lines = readFile.readLine();//citesc fiecare linie din fisier
                socket->write(lines);//trimit catre socket cele citite
                socket->flush();//scriu cat mai multe date posibile din buffer in scoket
                socket->waitForBytesWritten(3000);//astept pana la 3s pt a se goli buffer-ul
    //            qDebug() << "Postura= "<<line;//pt debug
    //            i++;// pt debug
    //            qDebug()<<"i= "<<i;//pt debug
                QTest::qWait(5000);//astept 5s pt transmite urmatoarea postura
            }
        }
    }
      socket->close();// dupa rulare buclei inchid conexiunea
}
